<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZExpansion: DayzExpansion/Quests/Scripts/4_world/dayzexpansion_quests/systems/quests/questobjectiveevents/expansionquestobjectiveaipatrolevent.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZExpansion<span id="projectnumber">&#160;1.7.12</span>
   </div>
   <div id="projectbrief">DayZExpansion Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d4/de7/a02270_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">expansionquestobjectiveaipatrolevent.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d4/de7/a02270.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="comment">/**</span></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span><span class="comment"> * ExpansionQuestObjectiveAIPatrolEvent.c</span></div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span><span class="comment"> *</span></div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span><span class="comment"> * DayZ Expansion Mod</span></div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span><span class="comment"> * www.dayzexpansion.com</span></div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span><span class="comment"> * © 2022 DayZ Expansion Mod Team</span></div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span><span class="comment"> *</span></div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span><span class="comment"> * This work is licensed under the Creative Commons Attribution-NonCommercial-NoDerivatives 4.0 International License.</span></div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span><span class="comment"> * To view a copy of this license, visit http://creativecommons.org/licenses/by-nc-nd/4.0/.</span></div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span><span class="comment"> *</span></div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span><span class="comment">*/</span></div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span> </div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span><span class="preprocessor">#ifdef EXPANSIONMODAI</span></div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span><span class="keyword">class </span>ExpansionQuestObjectiveAIPatrolEvent: <a class="code hl_class" href="../../d2/d53/a06573.html">ExpansionQuestObjectiveEventBase</a></div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span>{</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span>    <span class="keyword">private</span> <span class="keywordtype">int</span> m_TotalUnitsAmount = 0;</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>    <span class="keyword">private</span> <span class="keywordtype">int</span> m_TotalKillCount = 0;</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span>    <span class="keyword">private</span> <span class="keywordtype">int</span> m_UnitsToSpawn = 0;</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span><span class="comment"></span> </div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span><span class="comment">    //! Event called when the player starts the quest</span></div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span><span class="comment"></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d2/d53/a06573.html#a1270127d80d722fde7b22e5dccfb2376">OnStart</a>()</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>    {</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>        <a class="code hl_function" href="../../d2/d53/a06573.html#a6f8f5f37e910574a7ffd01f138c00855">ObjectivePrint</a>(ToString() + <span class="stringliteral">&quot;::OnStart - Start&quot;</span>);</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span> </div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>        CheckQuestAIPatrol();</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>        super.OnStart();</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span> </div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>        <a class="code hl_function" href="../../d2/d53/a06573.html#a6f8f5f37e910574a7ffd01f138c00855">ObjectivePrint</a>(ToString() + <span class="stringliteral">&quot;::OnStart - End&quot;</span>);</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>    }</div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span><span class="comment"></span> </div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span><span class="comment">    //! Event called when the player continues the quest after a server restart/reconnect</span></div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span><span class="comment"></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d2/d53/a06573.html#a1b5e98f88e59c2124f3c481ddfb240f0">OnContinue</a>()</div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>    {</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>        <a class="code hl_function" href="../../d2/d53/a06573.html#a6f8f5f37e910574a7ffd01f138c00855">ObjectivePrint</a>(ToString() + <span class="stringliteral">&quot;::OnStart - Start&quot;</span>);</div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span> </div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span>        CheckQuestAIPatrol();</div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span>        super.OnStart();</div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span> </div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>        <a class="code hl_function" href="../../d2/d53/a06573.html#a6f8f5f37e910574a7ffd01f138c00855">ObjectivePrint</a>(ToString() + <span class="stringliteral">&quot;::OnStart - End&quot;</span>);</div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span>    }</div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span>    <span class="comment"></span></div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span><span class="comment">    //! Event called when the quest gets cleaned up (server shutdown/player disconnect).</span></div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span><span class="comment"></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d2/d53/a06573.html#a31e414b52142a68ceb25e7f593ef8e5c">OnCleanup</a>()</div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>    {</div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span>        <a class="code hl_function" href="../../d2/d53/a06573.html#a6f8f5f37e910574a7ffd01f138c00855">ObjectivePrint</a>(ToString() + <span class="stringliteral">&quot;::OnCleanup - Start&quot;</span>);</div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span> </div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>        <span class="keywordflow">if</span> (!<a class="code hl_function" href="../../d2/d53/a06573.html#a9cab02faa3af84e665984b41837ff6e0">GetQuest</a>().GetQuestModule().IsOtherQuestInstanceActive(<a class="code hl_function" href="../../d2/d53/a06573.html#a9cab02faa3af84e665984b41837ff6e0">GetQuest</a>()))</div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span>            CleanupPatrol();</div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span>    </div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span>        super.OnCleanup();</div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span> </div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span>        <a class="code hl_function" href="../../d2/d53/a06573.html#a6f8f5f37e910574a7ffd01f138c00855">ObjectivePrint</a>(ToString() + <span class="stringliteral">&quot;::OnCleanup - End&quot;</span>);</div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span>    }</div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span><span class="comment"></span> </div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span><span class="comment">    //! Event called when the quest gets manualy canceled by the player.</span></div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span><span class="comment"></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d2/d53/a06573.html#a9ef2d5cd1d236a1643e14ac8548ae5aa">OnCancel</a>()</div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span>    {</div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span>        <a class="code hl_function" href="../../d2/d53/a06573.html#a6f8f5f37e910574a7ffd01f138c00855">ObjectivePrint</a>(ToString() + <span class="stringliteral">&quot;::OnCancel - Start&quot;</span>);</div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span> </div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span>        <span class="keywordflow">if</span> (!<a class="code hl_function" href="../../d2/d53/a06573.html#a9cab02faa3af84e665984b41837ff6e0">GetQuest</a>().GetQuestModule().IsOtherQuestInstanceActive(<a class="code hl_function" href="../../d2/d53/a06573.html#a9cab02faa3af84e665984b41837ff6e0">GetQuest</a>()))</div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno">   61</span>            CleanupPatrol();</div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span> </div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno">   63</span>        super.OnCancel();</div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno">   64</span> </div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno">   65</span>        <a class="code hl_function" href="../../d2/d53/a06573.html#a6f8f5f37e910574a7ffd01f138c00855">ObjectivePrint</a>(ToString() + <span class="stringliteral">&quot;::OnCancel - End&quot;</span>);</div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno">   66</span>    }</div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno">   67</span>    </div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno">   68</span>    <span class="keywordtype">void</span> OnEntityKilled(EntityAI victim, EntityAI killer, Man killerPlayer = NULL)</div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno">   69</span>    {</div>
<div class="line"><a id="l00070" name="l00070"></a><span class="lineno">   70</span><span class="preprocessor">    #ifdef EXPANSIONTRACE</span></div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno">   71</span>        <span class="keyword">auto</span> trace = <a class="code hl_function" href="../../d4/deb/a00710.html#a5be2213174cd68943ae1e0885eca5ec7">CF_Trace_0</a>(ExpansionTracing.QUESTS, <span class="keyword">this</span>, <span class="stringliteral">&quot;OnEntityKilled&quot;</span>);</div>
<div class="line"><a id="l00072" name="l00072"></a><span class="lineno">   72</span><span class="preprocessor">    #endif</span></div>
<div class="line"><a id="l00073" name="l00073"></a><span class="lineno">   73</span> </div>
<div class="line"><a id="l00074" name="l00074"></a><span class="lineno">   74</span>        ExpansionQuestObjectiveAIPatrol aiPatrol = <a class="code hl_function" href="../../d2/d53/a06573.html#a5a008942dca0db43ed6d1c103b185d89">GetObjectiveConfig</a>().GetAIPatrol();</div>
<div class="line"><a id="l00075" name="l00075"></a><span class="lineno">   75</span>        <span class="keywordflow">if</span> (!aiPatrol)</div>
<div class="line"><a id="l00076" name="l00076"></a><span class="lineno">   76</span>            <span class="keywordflow">return</span>;</div>
<div class="line"><a id="l00077" name="l00077"></a><span class="lineno">   77</span><span class="comment"></span> </div>
<div class="line"><a id="l00078" name="l00078"></a><span class="lineno">   78</span><span class="comment">        //! If the ai camp need to be killed with a special weapon check incoming killer class type</span></div>
<div class="line"><a id="l00079" name="l00079"></a><span class="lineno">   79</span><span class="comment"></span>        <span class="keywordflow">if</span> (aiPatrol.NeedSpecialWeapon())</div>
<div class="line"><a id="l00080" name="l00080"></a><span class="lineno">   80</span>        {</div>
<div class="line"><a id="l00081" name="l00081"></a><span class="lineno">   81</span>            <span class="keywordflow">if</span> (!<a class="code hl_class" href="../../df/d88/a04241.html">ExpansionStatic</a>.<a class="code hl_function" href="../../df/d88/a04241.html#a36f2ebaba7ef3988e3963c7a15f1e512">IsAnyOf</a>(killer.GetType(), aiPatrol.GetAllowedWeapons(), killer.ClassName()))</div>
<div class="line"><a id="l00082" name="l00082"></a><span class="lineno">   82</span>                <span class="keywordflow">return</span>;</div>
<div class="line"><a id="l00083" name="l00083"></a><span class="lineno">   83</span>        }</div>
<div class="line"><a id="l00084" name="l00084"></a><span class="lineno">   84</span>        <span class="comment"></span></div>
<div class="line"><a id="l00085" name="l00085"></a><span class="lineno">   85</span><span class="comment">        //! Check if killed entities class name is a valid one from our objective config</span></div>
<div class="line"><a id="l00086" name="l00086"></a><span class="lineno">   86</span><span class="comment"></span>        <span class="keywordtype">int</span> amount = aiPatrol.GetNPCUnits();</div>
<div class="line"><a id="l00087" name="l00087"></a><span class="lineno">   87</span>        m_TotalUnitsAmount = amount;</div>
<div class="line"><a id="l00088" name="l00088"></a><span class="lineno">   88</span>        <span class="keywordtype">bool</span> found = <a class="code hl_class" href="../../df/d88/a04241.html">ExpansionStatic</a>.<a class="code hl_function" href="../../df/d88/a04241.html#a36f2ebaba7ef3988e3963c7a15f1e512">IsAnyOf</a>(victim.GetType(), aiPatrol.GetClassNames(), victim.ClassName());</div>
<div class="line"><a id="l00089" name="l00089"></a><span class="lineno">   89</span> </div>
<div class="line"><a id="l00090" name="l00090"></a><span class="lineno">   90</span><span class="preprocessor">    #ifdef EXPANSIONMODQUESTSOBJECTIVEDEBUG</span></div>
<div class="line"><a id="l00091" name="l00091"></a><span class="lineno">   91</span>        Print(ToString() + <span class="stringliteral">&quot;::OnEntityKilled - Target found: &quot;</span> + found);</div>
<div class="line"><a id="l00092" name="l00092"></a><span class="lineno">   92</span><span class="preprocessor">    #endif</span></div>
<div class="line"><a id="l00093" name="l00093"></a><span class="lineno">   93</span> </div>
<div class="line"><a id="l00094" name="l00094"></a><span class="lineno">   94</span>        <span class="keywordflow">if</span> (!found)</div>
<div class="line"><a id="l00095" name="l00095"></a><span class="lineno">   95</span>            <span class="keywordflow">return</span>;</div>
<div class="line"><a id="l00096" name="l00096"></a><span class="lineno">   96</span><span class="comment"></span> </div>
<div class="line"><a id="l00097" name="l00097"></a><span class="lineno">   97</span><span class="comment">        //! Check if killed ai entity was part of this objective event group</span></div>
<div class="line"><a id="l00098" name="l00098"></a><span class="lineno">   98</span><span class="comment"></span>        <span class="keywordflow">if</span> (KilledAIPatrolMember(victim))</div>
<div class="line"><a id="l00099" name="l00099"></a><span class="lineno">   99</span>        {</div>
<div class="line"><a id="l00100" name="l00100"></a><span class="lineno">  100</span>            <span class="keywordflow">if</span> (m_TotalKillCount &lt; m_TotalUnitsAmount)</div>
<div class="line"><a id="l00101" name="l00101"></a><span class="lineno">  101</span>            {</div>
<div class="line"><a id="l00102" name="l00102"></a><span class="lineno">  102</span>                m_TotalKillCount++;</div>
<div class="line"><a id="l00103" name="l00103"></a><span class="lineno">  103</span>                </div>
<div class="line"><a id="l00104" name="l00104"></a><span class="lineno">  104</span>                <span class="keywordflow">if</span> (<a class="code hl_function" href="../../d2/d53/a06573.html#a9cab02faa3af84e665984b41837ff6e0">GetQuest</a>())</div>
<div class="line"><a id="l00105" name="l00105"></a><span class="lineno">  105</span>                    <a class="code hl_function" href="../../d2/d53/a06573.html#a9cab02faa3af84e665984b41837ff6e0">GetQuest</a>().<a class="code hl_function" href="../../d5/d7e/a06413.html#a3133b0110dfe765be46ba08d9dc1d4c0">UpdateQuestPlayersObjectiveData</a>();</div>
<div class="line"><a id="l00106" name="l00106"></a><span class="lineno">  106</span>            }</div>
<div class="line"><a id="l00107" name="l00107"></a><span class="lineno">  107</span>        }</div>
<div class="line"><a id="l00108" name="l00108"></a><span class="lineno">  108</span>        </div>
<div class="line"><a id="l00109" name="l00109"></a><span class="lineno">  109</span>        <span class="keywordflow">if</span> (m_TotalKillCount &gt;= m_TotalUnitsAmount)</div>
<div class="line"><a id="l00110" name="l00110"></a><span class="lineno">  110</span>        {</div>
<div class="line"><a id="l00111" name="l00111"></a><span class="lineno">  111</span>            <a class="code hl_function" href="../../d2/d53/a06573.html#a6d46f053353663a1e91978b5e3cf6995">SetCompleted</a>(<span class="keyword">true</span>);</div>
<div class="line"><a id="l00112" name="l00112"></a><span class="lineno">  112</span>            <a class="code hl_function" href="../../d2/d53/a06573.html#ad6335f4246543b4ede81624b4357b46c">OnComplete</a>();</div>
<div class="line"><a id="l00113" name="l00113"></a><span class="lineno">  113</span>        }</div>
<div class="line"><a id="l00114" name="l00114"></a><span class="lineno">  114</span>    }</div>
<div class="line"><a id="l00115" name="l00115"></a><span class="lineno">  115</span>        </div>
<div class="line"><a id="l00116" name="l00116"></a><span class="lineno">  116</span>    <span class="keyword">private</span> <span class="keywordtype">bool</span> KilledAIPatrolMember(EntityAI victim)</div>
<div class="line"><a id="l00117" name="l00117"></a><span class="lineno">  117</span>    {</div>
<div class="line"><a id="l00118" name="l00118"></a><span class="lineno">  118</span>        <a class="code hl_class" href="../../da/d86/a04769.html">DayZPlayerImplement</a> victimPlayer;</div>
<div class="line"><a id="l00119" name="l00119"></a><span class="lineno">  119</span>        <span class="keywordflow">if</span> (!Class.CastTo(victimPlayer, victim))</div>
<div class="line"><a id="l00120" name="l00120"></a><span class="lineno">  120</span>            <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00121" name="l00121"></a><span class="lineno">  121</span>            </div>
<div class="line"><a id="l00122" name="l00122"></a><span class="lineno">  122</span>        array&lt;eAIDynamicPatrol&gt; questPatrols;</div>
<div class="line"><a id="l00123" name="l00123"></a><span class="lineno">  123</span>        <span class="keywordflow">if</span> (!<a class="code hl_function" href="../../d2/d53/a06573.html#a9cab02faa3af84e665984b41837ff6e0">GetQuest</a>().GetQuestModule().QuestPatrolExists(<a class="code hl_function" href="../../d2/d53/a06573.html#a9cab02faa3af84e665984b41837ff6e0">GetQuest</a>().GetQuestConfig().<a class="code hl_function" href="../../d9/d21/a09045.html#a8801f650a68798314ce33ba4a0af2e27">GetID</a>(), questPatrols))</div>
<div class="line"><a id="l00124" name="l00124"></a><span class="lineno">  124</span>            <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00125" name="l00125"></a><span class="lineno">  125</span>        </div>
<div class="line"><a id="l00126" name="l00126"></a><span class="lineno">  126</span>        <span class="keywordflow">for</span> (<span class="keywordtype">int</span> i = 0; i &lt; questPatrols.Count(); i++)</div>
<div class="line"><a id="l00127" name="l00127"></a><span class="lineno">  127</span>        {</div>
<div class="line"><a id="l00128" name="l00128"></a><span class="lineno">  128</span>            eAIDynamicPatrol patrol = questPatrols[i];</div>
<div class="line"><a id="l00129" name="l00129"></a><span class="lineno">  129</span>            <span class="keywordflow">if</span> (!patrol)</div>
<div class="line"><a id="l00130" name="l00130"></a><span class="lineno">  130</span>                <span class="keywordflow">continue</span>;</div>
<div class="line"><a id="l00131" name="l00131"></a><span class="lineno">  131</span> </div>
<div class="line"><a id="l00132" name="l00132"></a><span class="lineno">  132</span>            eAIGroup group = patrol.m_Group;</div>
<div class="line"><a id="l00133" name="l00133"></a><span class="lineno">  133</span>            <span class="keywordflow">if</span> (group &amp;&amp; group.IsMember(victimPlayer))</div>
<div class="line"><a id="l00134" name="l00134"></a><span class="lineno">  134</span>                <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00135" name="l00135"></a><span class="lineno">  135</span>        }</div>
<div class="line"><a id="l00136" name="l00136"></a><span class="lineno">  136</span> </div>
<div class="line"><a id="l00137" name="l00137"></a><span class="lineno">  137</span>        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00138" name="l00138"></a><span class="lineno">  138</span>    }</div>
<div class="line"><a id="l00139" name="l00139"></a><span class="lineno">  139</span> </div>
<div class="line"><a id="l00140" name="l00140"></a><span class="lineno">  140</span>    <span class="keyword">private</span> <span class="keywordtype">void</span> CheckQuestAIPatrol()</div>
<div class="line"><a id="l00141" name="l00141"></a><span class="lineno">  141</span>    {</div>
<div class="line"><a id="l00142" name="l00142"></a><span class="lineno">  142</span>        <a class="code hl_function" href="../../d2/d53/a06573.html#a6f8f5f37e910574a7ffd01f138c00855">ObjectivePrint</a>(ToString() + <span class="stringliteral">&quot;::CheckQuestAIPatrol - Start&quot;</span>);</div>
<div class="line"><a id="l00143" name="l00143"></a><span class="lineno">  143</span>        </div>
<div class="line"><a id="l00144" name="l00144"></a><span class="lineno">  144</span>        <span class="keywordflow">if</span> (!<a class="code hl_function" href="../../d2/d53/a06573.html#a9cab02faa3af84e665984b41837ff6e0">GetQuest</a>() || !<a class="code hl_function" href="../../d2/d53/a06573.html#a9cab02faa3af84e665984b41837ff6e0">GetQuest</a>().GetQuestModule() || !<a class="code hl_function" href="../../d2/d53/a06573.html#a9cab02faa3af84e665984b41837ff6e0">GetQuest</a>().GetQuestConfig() || !<a class="code hl_function" href="../../d2/d53/a06573.html#a5a008942dca0db43ed6d1c103b185d89">GetObjectiveConfig</a>())</div>
<div class="line"><a id="l00145" name="l00145"></a><span class="lineno">  145</span>            <span class="keywordflow">return</span>;</div>
<div class="line"><a id="l00146" name="l00146"></a><span class="lineno">  146</span>        </div>
<div class="line"><a id="l00147" name="l00147"></a><span class="lineno">  147</span>        ExpansionQuestObjectiveAIPatrol aiPatrol = <a class="code hl_function" href="../../d2/d53/a06573.html#a5a008942dca0db43ed6d1c103b185d89">GetObjectiveConfig</a>().GetAIPatrol();</div>
<div class="line"><a id="l00148" name="l00148"></a><span class="lineno">  148</span>        <span class="keywordflow">if</span> (!aiPatrol)</div>
<div class="line"><a id="l00149" name="l00149"></a><span class="lineno">  149</span>            <span class="keywordflow">return</span>;</div>
<div class="line"><a id="l00150" name="l00150"></a><span class="lineno">  150</span>        </div>
<div class="line"><a id="l00151" name="l00151"></a><span class="lineno">  151</span>        m_TotalUnitsAmount = aiPatrol.GetNPCUnits();</div>
<div class="line"><a id="l00152" name="l00152"></a><span class="lineno">  152</span>        <span class="comment"></span></div>
<div class="line"><a id="l00153" name="l00153"></a><span class="lineno">  153</span><span class="comment">        //! If all the targets are already killed dont create patrols</span></div>
<div class="line"><a id="l00154" name="l00154"></a><span class="lineno">  154</span><span class="comment"></span>        <span class="keywordflow">if</span> (m_TotalKillCount &gt;= m_TotalUnitsAmount)</div>
<div class="line"><a id="l00155" name="l00155"></a><span class="lineno">  155</span>            <span class="keywordflow">return</span>;</div>
<div class="line"><a id="l00156" name="l00156"></a><span class="lineno">  156</span>        </div>
<div class="line"><a id="l00157" name="l00157"></a><span class="lineno">  157</span>        array&lt;eAIDynamicPatrol&gt; questPatrols;</div>
<div class="line"><a id="l00158" name="l00158"></a><span class="lineno">  158</span>        <span class="keywordflow">if</span> (<a class="code hl_function" href="../../d2/d53/a06573.html#a9cab02faa3af84e665984b41837ff6e0">GetQuest</a>().GetQuestModule().QuestPatrolExists(<a class="code hl_function" href="../../d2/d53/a06573.html#a9cab02faa3af84e665984b41837ff6e0">GetQuest</a>().GetQuestConfig().<a class="code hl_function" href="../../d9/d21/a09045.html#a8801f650a68798314ce33ba4a0af2e27">GetID</a>(), questPatrols))</div>
<div class="line"><a id="l00159" name="l00159"></a><span class="lineno">  159</span>        {<span class="comment"></span></div>
<div class="line"><a id="l00160" name="l00160"></a><span class="lineno">  160</span><span class="comment">            //! Check if the previous patrol groups related to this quest have been killed</span></div>
<div class="line"><a id="l00161" name="l00161"></a><span class="lineno">  161</span><span class="comment"></span>            <span class="keywordtype">int</span> killedPatrolCount;</div>
<div class="line"><a id="l00162" name="l00162"></a><span class="lineno">  162</span>            <span class="keywordflow">for</span> (<span class="keywordtype">int</span> i = 0; i &lt; questPatrols.Count(); i++)</div>
<div class="line"><a id="l00163" name="l00163"></a><span class="lineno">  163</span>            {</div>
<div class="line"><a id="l00164" name="l00164"></a><span class="lineno">  164</span>                eAIDynamicPatrol questPatrol = questPatrols[i];</div>
<div class="line"><a id="l00165" name="l00165"></a><span class="lineno">  165</span>                <span class="keywordflow">if</span> (!questPatrol)</div>
<div class="line"><a id="l00166" name="l00166"></a><span class="lineno">  166</span>                    <span class="keywordflow">continue</span>;</div>
<div class="line"><a id="l00167" name="l00167"></a><span class="lineno">  167</span>                </div>
<div class="line"><a id="l00168" name="l00168"></a><span class="lineno">  168</span>                <span class="keywordflow">if</span> (questPatrol.WasGroupDestroyed())</div>
<div class="line"><a id="l00169" name="l00169"></a><span class="lineno">  169</span>                    killedPatrolCount++;</div>
<div class="line"><a id="l00170" name="l00170"></a><span class="lineno">  170</span>            }</div>
<div class="line"><a id="l00171" name="l00171"></a><span class="lineno">  171</span>            <span class="comment"></span></div>
<div class="line"><a id="l00172" name="l00172"></a><span class="lineno">  172</span><span class="comment">            //! If all patrols related to this quest have been wiped we can recreate all the patrols.</span></div>
<div class="line"><a id="l00173" name="l00173"></a><span class="lineno">  173</span><span class="comment"></span>            <span class="keywordflow">if</span> (killedPatrolCount == 1)</div>
<div class="line"><a id="l00174" name="l00174"></a><span class="lineno">  174</span>            {</div>
<div class="line"><a id="l00175" name="l00175"></a><span class="lineno">  175</span>                CreateQuestAIPatrol();</div>
<div class="line"><a id="l00176" name="l00176"></a><span class="lineno">  176</span>            }</div>
<div class="line"><a id="l00177" name="l00177"></a><span class="lineno">  177</span>        }</div>
<div class="line"><a id="l00178" name="l00178"></a><span class="lineno">  178</span>        <span class="keywordflow">else</span></div>
<div class="line"><a id="l00179" name="l00179"></a><span class="lineno">  179</span>        {</div>
<div class="line"><a id="l00180" name="l00180"></a><span class="lineno">  180</span>            CreateQuestAIPatrol();</div>
<div class="line"><a id="l00181" name="l00181"></a><span class="lineno">  181</span>        }</div>
<div class="line"><a id="l00182" name="l00182"></a><span class="lineno">  182</span>        </div>
<div class="line"><a id="l00183" name="l00183"></a><span class="lineno">  183</span>        <a class="code hl_function" href="../../d2/d53/a06573.html#a6f8f5f37e910574a7ffd01f138c00855">ObjectivePrint</a>(ToString() + <span class="stringliteral">&quot;::CheckQuestAIPatrol - End&quot;</span>);</div>
<div class="line"><a id="l00184" name="l00184"></a><span class="lineno">  184</span>    }</div>
<div class="line"><a id="l00185" name="l00185"></a><span class="lineno">  185</span>    </div>
<div class="line"><a id="l00186" name="l00186"></a><span class="lineno">  186</span>    <span class="keywordtype">void</span> CreateQuestAIPatrol()</div>
<div class="line"><a id="l00187" name="l00187"></a><span class="lineno">  187</span>    {</div>
<div class="line"><a id="l00188" name="l00188"></a><span class="lineno">  188</span>        <a class="code hl_function" href="../../d2/d53/a06573.html#a6f8f5f37e910574a7ffd01f138c00855">ObjectivePrint</a>(ToString() + <span class="stringliteral">&quot;::CreateQuestAIPatrol - Start&quot;</span>);</div>
<div class="line"><a id="l00189" name="l00189"></a><span class="lineno">  189</span>        </div>
<div class="line"><a id="l00190" name="l00190"></a><span class="lineno">  190</span>        ExpansionQuestObjectiveAIPatrol aiPatrol = <a class="code hl_function" href="../../d2/d53/a06573.html#a5a008942dca0db43ed6d1c103b185d89">GetObjectiveConfig</a>().GetAIPatrol();</div>
<div class="line"><a id="l00191" name="l00191"></a><span class="lineno">  191</span>        <span class="keywordflow">if</span> (!aiPatrol)</div>
<div class="line"><a id="l00192" name="l00192"></a><span class="lineno">  192</span>            <span class="keywordflow">return</span>; </div>
<div class="line"><a id="l00193" name="l00193"></a><span class="lineno">  193</span>                </div>
<div class="line"><a id="l00194" name="l00194"></a><span class="lineno">  194</span>        m_UnitsToSpawn = m_TotalUnitsAmount - m_TotalKillCount;</div>
<div class="line"><a id="l00195" name="l00195"></a><span class="lineno">  195</span>        </div>
<div class="line"><a id="l00196" name="l00196"></a><span class="lineno">  196</span>        array&lt;eAIDynamicPatrol&gt; questPatrols = <span class="keyword">new</span> array&lt;eAIDynamicPatrol&gt;;</div>
<div class="line"><a id="l00197" name="l00197"></a><span class="lineno">  197</span>        ExpansionQuestAIGroup group = <span class="keyword">new</span> ExpansionQuestAIGroup(m_UnitsToSpawn, aiPatrol.GetNPCSpeed(), aiPatrol.GetNPCMode(), <span class="stringliteral">&quot;ALTERNATE&quot;</span>, aiPatrol.GetNPCFaction(), aiPatrol.GetNPCLoadoutFile(), GetObjectiveConfig().CanLootAI(), <span class="keyword">false</span>, aiPatrol.GetWaypoints());</div>
<div class="line"><a id="l00198" name="l00198"></a><span class="lineno">  198</span>        group.Formation = aiPatrol.NPCFormation;</div>
<div class="line"><a id="l00199" name="l00199"></a><span class="lineno">  199</span>        group.AccuracyMin = aiPatrol.NPCAccuracyMin;</div>
<div class="line"><a id="l00200" name="l00200"></a><span class="lineno">  200</span>        group.AccuracyMax = aiPatrol.NPCAccuracyMax;</div>
<div class="line"><a id="l00201" name="l00201"></a><span class="lineno">  201</span>        eAIDynamicPatrol patrol = ExpansionQuestObjectiveAICampEvent.CreateQuestPatrol(group, 0, 600, 300, <a class="code hl_function" href="../../d2/d53/a06573.html#a5a008942dca0db43ed6d1c103b185d89">GetObjectiveConfig</a>().GetMinDistRadius(), <a class="code hl_function" href="../../d2/d53/a06573.html#a5a008942dca0db43ed6d1c103b185d89">GetObjectiveConfig</a>().GetMaxDistRadius(), <a class="code hl_function" href="../../d2/d53/a06573.html#a5a008942dca0db43ed6d1c103b185d89">GetObjectiveConfig</a>().GetDespawnRadius());</div>
<div class="line"><a id="l00202" name="l00202"></a><span class="lineno">  202</span>        <span class="keywordflow">if</span> (!patrol)</div>
<div class="line"><a id="l00203" name="l00203"></a><span class="lineno">  203</span>            <span class="keywordflow">return</span>;</div>
<div class="line"><a id="l00204" name="l00204"></a><span class="lineno">  204</span>        </div>
<div class="line"><a id="l00205" name="l00205"></a><span class="lineno">  205</span>        questPatrols.Insert(patrol);</div>
<div class="line"><a id="l00206" name="l00206"></a><span class="lineno">  206</span>        <a class="code hl_function" href="../../d2/d53/a06573.html#a9cab02faa3af84e665984b41837ff6e0">GetQuest</a>().<a class="code hl_function" href="../../d5/d7e/a06413.html#abae0e0492b4610678f5ed0523a6c3808">GetQuestModule</a>().SetQuestPatrols(<a class="code hl_function" href="../../d2/d53/a06573.html#a9cab02faa3af84e665984b41837ff6e0">GetQuest</a>().GetQuestConfig().<a class="code hl_function" href="../../d9/d21/a09045.html#a8801f650a68798314ce33ba4a0af2e27">GetID</a>(), questPatrols);</div>
<div class="line"><a id="l00207" name="l00207"></a><span class="lineno">  207</span>        </div>
<div class="line"><a id="l00208" name="l00208"></a><span class="lineno">  208</span><span class="preprocessor">    #ifdef EXPANSIONMODNAVIGATION</span></div>
<div class="line"><a id="l00209" name="l00209"></a><span class="lineno">  209</span>        <span class="keywordtype">string</span> markerName = <a class="code hl_function" href="../../d2/d53/a06573.html#a9cab02faa3af84e665984b41837ff6e0">GetQuest</a>().<a class="code hl_function" href="../../d5/d7e/a06413.html#a79d9a6c73db3f35a8b0a980cf5a63c93">GetQuestConfig</a>().<a class="code hl_function" href="../../de/d0a/a06421.html#a84cbc08f785ddae84ba4139ab27f03be">GetObjectives</a>().Get(<a class="code hl_function" href="../../d2/d53/a06573.html#ae4f37372ffdfae27216dc7fad71a1fcb">GetIndex</a>()).GetObjectiveText();</div>
<div class="line"><a id="l00210" name="l00210"></a><span class="lineno">  210</span>        <a class="code hl_function" href="../../d2/d53/a06573.html#a9cab02faa3af84e665984b41837ff6e0">GetQuest</a>().CreateClientMarker(aiPatrol.GetWaypoints()[0], markerName);</div>
<div class="line"><a id="l00211" name="l00211"></a><span class="lineno">  211</span><span class="preprocessor">    #endif</span></div>
<div class="line"><a id="l00212" name="l00212"></a><span class="lineno">  212</span>        </div>
<div class="line"><a id="l00213" name="l00213"></a><span class="lineno">  213</span>        <a class="code hl_function" href="../../d2/d53/a06573.html#a6f8f5f37e910574a7ffd01f138c00855">ObjectivePrint</a>(ToString() + <span class="stringliteral">&quot;::CreateQuestAIPatrol - End&quot;</span>);</div>
<div class="line"><a id="l00214" name="l00214"></a><span class="lineno">  214</span>    }</div>
<div class="line"><a id="l00215" name="l00215"></a><span class="lineno">  215</span> </div>
<div class="line"><a id="l00216" name="l00216"></a><span class="lineno">  216</span>    <span class="keyword">private</span> <span class="keywordtype">void</span> CleanupPatrol()</div>
<div class="line"><a id="l00217" name="l00217"></a><span class="lineno">  217</span>    {</div>
<div class="line"><a id="l00218" name="l00218"></a><span class="lineno">  218</span>        array&lt;eAIDynamicPatrol&gt; questPatrols;</div>
<div class="line"><a id="l00219" name="l00219"></a><span class="lineno">  219</span>        <span class="keywordflow">if</span> (<a class="code hl_function" href="../../d2/d53/a06573.html#a9cab02faa3af84e665984b41837ff6e0">GetQuest</a>().GetQuestModule().QuestPatrolExists(<a class="code hl_function" href="../../d2/d53/a06573.html#a9cab02faa3af84e665984b41837ff6e0">GetQuest</a>().GetQuestConfig().<a class="code hl_function" href="../../d9/d21/a09045.html#a8801f650a68798314ce33ba4a0af2e27">GetID</a>(), questPatrols))</div>
<div class="line"><a id="l00220" name="l00220"></a><span class="lineno">  220</span>        {   </div>
<div class="line"><a id="l00221" name="l00221"></a><span class="lineno">  221</span>            <span class="keywordflow">for</span> (<span class="keywordtype">int</span> i = 0; i &lt; questPatrols.Count(); i++)</div>
<div class="line"><a id="l00222" name="l00222"></a><span class="lineno">  222</span>            {</div>
<div class="line"><a id="l00223" name="l00223"></a><span class="lineno">  223</span>                eAIDynamicPatrol patrol = questPatrols[i];</div>
<div class="line"><a id="l00224" name="l00224"></a><span class="lineno">  224</span>                <span class="keywordflow">if</span> (patrol.m_CanSpawn)</div>
<div class="line"><a id="l00225" name="l00225"></a><span class="lineno">  225</span>                    <span class="keywordflow">continue</span>;</div>
<div class="line"><a id="l00226" name="l00226"></a><span class="lineno">  226</span>    </div>
<div class="line"><a id="l00227" name="l00227"></a><span class="lineno">  227</span>                eAIGroup group = patrol.m_Group;</div>
<div class="line"><a id="l00228" name="l00228"></a><span class="lineno">  228</span>                <span class="keywordflow">if</span> (group)</div>
<div class="line"><a id="l00229" name="l00229"></a><span class="lineno">  229</span>                {</div>
<div class="line"><a id="l00230" name="l00230"></a><span class="lineno">  230</span>                    <a class="code hl_function" href="../../d2/d53/a06573.html#a6f8f5f37e910574a7ffd01f138c00855">ObjectivePrint</a>(ToString() + <span class="stringliteral">&quot;::CleanupPatrol - Patrol: &quot;</span> + patrol.ToString());</div>
<div class="line"><a id="l00231" name="l00231"></a><span class="lineno">  231</span>                    <a class="code hl_function" href="../../d2/d53/a06573.html#a6f8f5f37e910574a7ffd01f138c00855">ObjectivePrint</a>(ToString() + <span class="stringliteral">&quot;::CleanupPatrol - Patrol group: &quot;</span> + group.ToString());</div>
<div class="line"><a id="l00232" name="l00232"></a><span class="lineno">  232</span>                    <a class="code hl_function" href="../../d2/d53/a06573.html#a6f8f5f37e910574a7ffd01f138c00855">ObjectivePrint</a>(ToString() + <span class="stringliteral">&quot;::CleanupPatrol - Patrol group members: &quot;</span> + group.Count());</div>
<div class="line"><a id="l00233" name="l00233"></a><span class="lineno">  233</span>                }</div>
<div class="line"><a id="l00234" name="l00234"></a><span class="lineno">  234</span>    </div>
<div class="line"><a id="l00235" name="l00235"></a><span class="lineno">  235</span>                patrol.Despawn();</div>
<div class="line"><a id="l00236" name="l00236"></a><span class="lineno">  236</span>                patrol.Delete();</div>
<div class="line"><a id="l00237" name="l00237"></a><span class="lineno">  237</span>            }</div>
<div class="line"><a id="l00238" name="l00238"></a><span class="lineno">  238</span>        }</div>
<div class="line"><a id="l00239" name="l00239"></a><span class="lineno">  239</span>        </div>
<div class="line"><a id="l00240" name="l00240"></a><span class="lineno">  240</span>        <a class="code hl_function" href="../../d2/d53/a06573.html#a9cab02faa3af84e665984b41837ff6e0">GetQuest</a>().<a class="code hl_function" href="../../d5/d7e/a06413.html#abae0e0492b4610678f5ed0523a6c3808">GetQuestModule</a>().RemoveQuestPatrol(<a class="code hl_function" href="../../d2/d53/a06573.html#a9cab02faa3af84e665984b41837ff6e0">GetQuest</a>().GetQuestConfig().<a class="code hl_function" href="../../d9/d21/a09045.html#a8801f650a68798314ce33ba4a0af2e27">GetID</a>());</div>
<div class="line"><a id="l00241" name="l00241"></a><span class="lineno">  241</span>    }</div>
<div class="line"><a id="l00242" name="l00242"></a><span class="lineno">  242</span>    </div>
<div class="line"><a id="l00243" name="l00243"></a><span class="lineno">  243</span>    <span class="keywordtype">void</span> SetKillCount(<span class="keywordtype">int</span> count)</div>
<div class="line"><a id="l00244" name="l00244"></a><span class="lineno">  244</span>    {</div>
<div class="line"><a id="l00245" name="l00245"></a><span class="lineno">  245</span>        m_TotalKillCount = count;</div>
<div class="line"><a id="l00246" name="l00246"></a><span class="lineno">  246</span>    }</div>
<div class="line"><a id="l00247" name="l00247"></a><span class="lineno">  247</span> </div>
<div class="line"><a id="l00248" name="l00248"></a><span class="lineno">  248</span>    <span class="keywordtype">int</span> GetCount()</div>
<div class="line"><a id="l00249" name="l00249"></a><span class="lineno">  249</span>    {</div>
<div class="line"><a id="l00250" name="l00250"></a><span class="lineno">  250</span>        <span class="keywordflow">return</span> m_TotalKillCount;</div>
<div class="line"><a id="l00251" name="l00251"></a><span class="lineno">  251</span>    }</div>
<div class="line"><a id="l00252" name="l00252"></a><span class="lineno">  252</span> </div>
<div class="line"><a id="l00253" name="l00253"></a><span class="lineno">  253</span>    <span class="keywordtype">int</span> GetAmount()</div>
<div class="line"><a id="l00254" name="l00254"></a><span class="lineno">  254</span>    {</div>
<div class="line"><a id="l00255" name="l00255"></a><span class="lineno">  255</span>        <span class="keywordflow">return</span> m_TotalUnitsAmount;</div>
<div class="line"><a id="l00256" name="l00256"></a><span class="lineno">  256</span>    }</div>
<div class="line"><a id="l00257" name="l00257"></a><span class="lineno">  257</span> </div>
<div class="line"><a id="l00258" name="l00258"></a><span class="lineno">  258</span>    <span class="keyword">override</span> <span class="keywordtype">int</span> <a class="code hl_function" href="../../d2/d53/a06573.html#af19dcb3522b0f01ca851ecb446b757a5">GetObjectiveType</a>()</div>
<div class="line"><a id="l00259" name="l00259"></a><span class="lineno">  259</span>    {</div>
<div class="line"><a id="l00260" name="l00260"></a><span class="lineno">  260</span>        <span class="keywordflow">return</span> <a class="code hl_enumeration" href="../../d7/d4c/a02165.html#aabce516118dec3a3b68bd2e23c8894af">ExpansionQuestObjectiveType</a>.AIPATROL;</div>
<div class="line"><a id="l00261" name="l00261"></a><span class="lineno">  261</span>    }</div>
<div class="line"><a id="l00262" name="l00262"></a><span class="lineno">  262</span>};</div>
<div class="line"><a id="l00263" name="l00263"></a><span class="lineno">  263</span><span class="preprocessor">#endif</span></div>
<div class="ttc" id="aa00710_html_a5be2213174cd68943ae1e0885eca5ec7"><div class="ttname"><a href="../../d4/deb/a00710.html#a5be2213174cd68943ae1e0885eca5ec7">CF_Trace_0</a></div><div class="ttdeci">static CF_Trace CF_Trace_0(bool doLog, Class instance)</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/deb/a00710_source.html#l00069">cf_trace.c:69</a></div></div>
<div class="ttc" id="aa02165_html_aabce516118dec3a3b68bd2e23c8894af"><div class="ttname"><a href="../../d7/d4c/a02165.html#aabce516118dec3a3b68bd2e23c8894af">ExpansionQuestObjectiveType</a></div><div class="ttdeci">ExpansionQuestObjectiveType</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d4c/a02165_source.html#l00013">expansionquestobjectivetype.c:14</a></div></div>
<div class="ttc" id="aa04241_html"><div class="ttname"><a href="../../df/d88/a04241.html">ExpansionStatic</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d72/a00803_source.html#l00074">expansionstatic.c:75</a></div></div>
<div class="ttc" id="aa04241_html_a36f2ebaba7ef3988e3963c7a15f1e512"><div class="ttname"><a href="../../df/d88/a04241.html#a36f2ebaba7ef3988e3963c7a15f1e512">ExpansionStatic::IsAnyOf</a></div><div class="ttdeci">static bool IsAnyOf(string cfg_class_name, TStringArray cfg_parent_names, string script_class_name=string.Empty)</div><div class="ttdoc">Inheritance check, case insensitive for cfg class; equality check, case sensitive for script class (i...</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d72/a00803_source.html#l00305">expansionstatic.c:305</a></div></div>
<div class="ttc" id="aa04769_html"><div class="ttname"><a href="../../da/d86/a04769.html">DayZPlayerImplement</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d5d/a01202_source.html#l00013">attachment_dayzplayerimplement.c:14</a></div></div>
<div class="ttc" id="aa06413_html_a3133b0110dfe765be46ba08d9dc1d4c0"><div class="ttname"><a href="../../d5/d7e/a06413.html#a3133b0110dfe765be46ba08d9dc1d4c0">ExpansionQuest::UpdateQuestPlayersObjectiveData</a></div><div class="ttdeci">void UpdateQuestPlayersObjectiveData()</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d88/a02141_source.html#l01517">expansionquest.c:1517</a></div></div>
<div class="ttc" id="aa06413_html_a79d9a6c73db3f35a8b0a980cf5a63c93"><div class="ttname"><a href="../../d5/d7e/a06413.html#a79d9a6c73db3f35a8b0a980cf5a63c93">ExpansionQuest::GetQuestConfig</a></div><div class="ttdeci">ExpansionQuestConfig GetQuestConfig()</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d88/a02141_source.html#l00301">expansionquest.c:301</a></div></div>
<div class="ttc" id="aa06413_html_abae0e0492b4610678f5ed0523a6c3808"><div class="ttname"><a href="../../d5/d7e/a06413.html#abae0e0492b4610678f5ed0523a6c3808">ExpansionQuest::GetQuestModule</a></div><div class="ttdeci">ExpansionQuestModule GetQuestModule()</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d88/a02141_source.html#l01018">expansionquest.c:1018</a></div></div>
<div class="ttc" id="aa06421_html_a84cbc08f785ddae84ba4139ab27f03be"><div class="ttname"><a href="../../de/d0a/a06421.html#a84cbc08f785ddae84ba4139ab27f03be">ExpansionQuestConfig::GetObjectives</a></div><div class="ttdeci">array&lt; ref ExpansionQuestObjectiveConfig &gt; GetObjectives()</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d28/a02147_source.html#l00210">expansionquestconfig.c:210</a></div></div>
<div class="ttc" id="aa06573_html"><div class="ttname"><a href="../../d2/d53/a06573.html">ExpansionQuestObjectiveEventBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../df/d4d/a02285_source.html#l00013">expansionquestobjectiveeventbase.c:14</a></div></div>
<div class="ttc" id="aa06573_html_a1270127d80d722fde7b22e5dccfb2376"><div class="ttname"><a href="../../d2/d53/a06573.html#a1270127d80d722fde7b22e5dccfb2376">ExpansionQuestObjectiveEventBase::OnStart</a></div><div class="ttdeci">void OnStart()</div><div class="ttdoc">Event called when the player starts the quest.</div><div class="ttdef"><b>Definition:</b> <a href="../../df/d4d/a02285_source.html#l00101">expansionquestobjectiveeventbase.c:101</a></div></div>
<div class="ttc" id="aa06573_html_a1b5e98f88e59c2124f3c481ddfb240f0"><div class="ttname"><a href="../../d2/d53/a06573.html#a1b5e98f88e59c2124f3c481ddfb240f0">ExpansionQuestObjectiveEventBase::OnContinue</a></div><div class="ttdeci">void OnContinue()</div><div class="ttdoc">Event called when the player continues the quest after a server restart/reconnect.</div><div class="ttdef"><b>Definition:</b> <a href="../../df/d4d/a02285_source.html#l00140">expansionquestobjectiveeventbase.c:140</a></div></div>
<div class="ttc" id="aa06573_html_a31e414b52142a68ceb25e7f593ef8e5c"><div class="ttname"><a href="../../d2/d53/a06573.html#a31e414b52142a68ceb25e7f593ef8e5c">ExpansionQuestObjectiveEventBase::OnCleanup</a></div><div class="ttdeci">void OnCleanup()</div><div class="ttdoc">Event called when the quest gets cleaned up.</div><div class="ttdef"><b>Definition:</b> <a href="../../df/d4d/a02285_source.html#l00147">expansionquestobjectiveeventbase.c:147</a></div></div>
<div class="ttc" id="aa06573_html_a5a008942dca0db43ed6d1c103b185d89"><div class="ttname"><a href="../../d2/d53/a06573.html#a5a008942dca0db43ed6d1c103b185d89">ExpansionQuestObjectiveEventBase::GetObjectiveConfig</a></div><div class="ttdeci">ExpansionQuestObjectiveConfig GetObjectiveConfig()</div><div class="ttdef"><b>Definition:</b> <a href="../../df/d4d/a02285_source.html#l00186">expansionquestobjectiveeventbase.c:186</a></div></div>
<div class="ttc" id="aa06573_html_a6d46f053353663a1e91978b5e3cf6995"><div class="ttname"><a href="../../d2/d53/a06573.html#a6d46f053353663a1e91978b5e3cf6995">ExpansionQuestObjectiveEventBase::SetCompleted</a></div><div class="ttdeci">void SetCompleted(bool state)</div><div class="ttdef"><b>Definition:</b> <a href="../../df/d4d/a02285_source.html#l00067">expansionquestobjectiveeventbase.c:67</a></div></div>
<div class="ttc" id="aa06573_html_a6f8f5f37e910574a7ffd01f138c00855"><div class="ttname"><a href="../../d2/d53/a06573.html#a6f8f5f37e910574a7ffd01f138c00855">ExpansionQuestObjectiveEventBase::ObjectivePrint</a></div><div class="ttdeci">void ObjectivePrint(string text)</div><div class="ttdef"><b>Definition:</b> <a href="../../df/d4d/a02285_source.html#l00211">expansionquestobjectiveeventbase.c:211</a></div></div>
<div class="ttc" id="aa06573_html_a9cab02faa3af84e665984b41837ff6e0"><div class="ttname"><a href="../../d2/d53/a06573.html#a9cab02faa3af84e665984b41837ff6e0">ExpansionQuestObjectiveEventBase::GetQuest</a></div><div class="ttdeci">ExpansionQuest GetQuest()</div><div class="ttdef"><b>Definition:</b> <a href="../../df/d4d/a02285_source.html#l00042">expansionquestobjectiveeventbase.c:42</a></div></div>
<div class="ttc" id="aa06573_html_a9ef2d5cd1d236a1643e14ac8548ae5aa"><div class="ttname"><a href="../../d2/d53/a06573.html#a9ef2d5cd1d236a1643e14ac8548ae5aa">ExpansionQuestObjectiveEventBase::OnCancel</a></div><div class="ttdeci">void OnCancel()</div><div class="ttdef"><b>Definition:</b> <a href="../../df/d4d/a02285_source.html#l00133">expansionquestobjectiveeventbase.c:133</a></div></div>
<div class="ttc" id="aa06573_html_ad6335f4246543b4ede81624b4357b46c"><div class="ttname"><a href="../../d2/d53/a06573.html#ad6335f4246543b4ede81624b4357b46c">ExpansionQuestObjectiveEventBase::OnComplete</a></div><div class="ttdeci">void OnComplete()</div><div class="ttdoc">Event called when objective is completed.</div><div class="ttdef"><b>Definition:</b> <a href="../../df/d4d/a02285_source.html#l00108">expansionquestobjectiveeventbase.c:108</a></div></div>
<div class="ttc" id="aa06573_html_ae4f37372ffdfae27216dc7fad71a1fcb"><div class="ttname"><a href="../../d2/d53/a06573.html#ae4f37372ffdfae27216dc7fad71a1fcb">ExpansionQuestObjectiveEventBase::GetIndex</a></div><div class="ttdeci">int GetIndex()</div><div class="ttdef"><b>Definition:</b> <a href="../../df/d4d/a02285_source.html#l00037">expansionquestobjectiveeventbase.c:37</a></div></div>
<div class="ttc" id="aa06573_html_af19dcb3522b0f01ca851ecb446b757a5"><div class="ttname"><a href="../../d2/d53/a06573.html#af19dcb3522b0f01ca851ecb446b757a5">ExpansionQuestObjectiveEventBase::GetObjectiveType</a></div><div class="ttdeci">int GetObjectiveType()</div><div class="ttdef"><b>Definition:</b> <a href="../../df/d4d/a02285_source.html#l00218">expansionquestobjectiveeventbase.c:218</a></div></div>
<div class="ttc" id="aa09045_html_a8801f650a68798314ce33ba4a0af2e27"><div class="ttname"><a href="../../d9/d21/a09045.html#a8801f650a68798314ce33ba4a0af2e27">GetID</a></div><div class="ttdeci">string GetID()</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d21/a09045_source.html#l00109">expansionpartyplayerdata.c:109</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_6127fff2da0a20e2dc2cd9302c584350.html">DayzExpansion</a></li><li class="navelem"><a class="el" href="../../dir_1aeb20201abd12b8e4cbe340a915686e.html">Quests</a></li><li class="navelem"><a class="el" href="../../dir_29e5a841f4af4b583623a745e009ef31.html">Scripts</a></li><li class="navelem"><a class="el" href="../../dir_6229eaf44b730d10fc037c21be0cc9d2.html">4_world</a></li><li class="navelem"><a class="el" href="../../dir_41bb0a1ba7a249856ef624b7024ff764.html">dayzexpansion_quests</a></li><li class="navelem"><a class="el" href="../../dir_2cb013c5fea97d25b3c5e425100cdce5.html">systems</a></li><li class="navelem"><a class="el" href="../../dir_eb26c162496b02eac2af2f3f20c5c189.html">quests</a></li><li class="navelem"><a class="el" href="../../dir_4b9dc1fdf47eec74776374fd2a5a67ad.html">questobjectiveevents</a></li><li class="navelem"><a class="el" href="../../d4/de7/a02270.html">expansionquestobjectiveaipatrolevent.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
